const raw = `Яжпрограммист / Вебсёрфер / За то, что любишь постить и репостить


Навожу суету перед кинопремьерами / Кинопроходец / За то, что шаришь за Пола Томаса Андерсона, Уэса Андерсона и Джиллиан Андерсон


Смотрю мемы / Знаниевед /  За то, что самый умный не только на словах


Повелеваю гаджетами / Техногик /  За то, что знаешь, у какого элемента какая валентность


Не рисуюсь, а рисую / Третьяковковед / За то, что различаешь Мане и Монэ 


Угараю по истории / Летописец / За то, что знаешь дату Куликовской битвы


Поднимаю профит  / Манимейкер /  За то, что классно вкладываешься и выкладываешься


Преклоняюсь ЗОЖу  / Селф-коуч / За то, что делаешь себя лучше каждый день


Повелеваю пластиком / Нонпластикофф / За то, что помогаешь планете и всем котикам района  


Думаю о России / Родиноносец / За то, что топишь за своих 


Веду корреспонденцию со школьных полей  / Радиохед / За то, что не даешь ТВ и радио проиграть в битве с Интернетом


Отвечаю за вписки / Сверхразум / За то, что на твоих вписках все умнеют


Амбассадор школьных рилс / Шелдон / За то, что на вопрос учительницы «А может ты сам проведешь урок?», ты берешь и проводишь


Скроллю ленту на парах / Лекционер /  За то, что читаешь лекции между лекциями 


Нравлюсь всем / Массэффектов /  За то, что умеешь впечатлять зрителей и слушателей
`
const characterNames = `Яжпрограммирую - Пиксель Кодович
Навожу суету перед кинопремьерами - Месье Кэмерон
Смотрю мемы - Топ Тиктокович
Повелеваю гаджетами - Фьючер Матрицов
Не рисуюсь, а рисую - Модерн Картинов
Угараю по истории - Зумер Мономахович
Поднимаю профит - Повелить Кэша
Преклоняюсь ЗОЖу - Спорт Зожов
Повелеваю пластиком - Эльф Пластикового Пакета
Думаю о России - Марфа Кремлевская
Веду корреспонденцию со школьных полей - Топ Чартович
Отвечаю за вписки - Фельдмаршал Ивентов
Амбассадорю школьные рилс - Школлаприо За’Риллсов
Скроллю ленту на парах - Мнековторой Университетов
Нравлюсь всем - Миссис Лавьюитт`.split('\n').map( s => s.split('-')[1].trim())


import * as R from 'ramda'
export type ActivityVO = {
    title: string
    nomination: string
    description: string
    character: number
    characterName: string

}

export const activities: ActivityVO[] = raw.split('\n').filter(R.complement(R.isEmpty)).map( row => row.split('/').map(R.trim)).map( ([title, nomination, description], index) => ({title, nomination, description, character: index, characterName: characterNames[index]}))